import { __awaiter, __decorate } from "tslib";
import { Connect } from '@genesislcap/foundation-comms';
import { Toast, zeroToastTemplate } from '@genesislcap/foundation-zero';
import { customElement } from '@microsoft/fast-element';
import { FoundationInboxToastStyles } from './foundation-inbox-toast.styles';
let FoundationInboxToast = class FoundationInboxToast extends Toast {
    connectedCallback() {
        const _super = Object.create(null, {
            connectedCallback: { get: () => super.connectedCallback }
        });
        return __awaiter(this, void 0, void 0, function* () {
            _super.connectedCallback.call(this);
            this.addEventListener('remove-toast', this.close);
        });
    }
    close() {
        super.close();
        this.removeMessage(this.id);
    }
    removeMessage(ALERT_ID) {
        this.connect.commitEvent('EVENT_DISMISS_NOTIFY_ALERT', {
            DETAILS: {
                ALERT_ID,
            },
        });
    }
    disconnectedCallback() {
        super.disconnectedCallback();
        this.removeEventListener('remove-toast', this.close);
    }
};
__decorate([
    Connect
], FoundationInboxToast.prototype, "connect", void 0);
FoundationInboxToast = __decorate([
    customElement({
        name: 'foundation-inbox-toast',
        template: zeroToastTemplate,
        styles: FoundationInboxToastStyles,
    })
], FoundationInboxToast);
export { FoundationInboxToast };
